
Foreman - Feature #6795

Automatically fill in attribute mapping for LDAP auth sources

07/28/2014 10:04 AM - Stephen Benjamin

Status: New   

Priority: Normal   

Assignee: Daniel Lobato Garcia   

Category: Authentication   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

It would be nice if we would automatically fill these fields in for the user.  Provide a drop-down menu to automatically fill in attribute

mappings for the most common providers: AD, FreeIPA, OpenLDAP.

History

#1 - 07/28/2014 10:04 AM - Stephen Benjamin

- Tracker changed from Bug to Feature

#2 - 07/30/2014 09:19 AM - Ohad Levy

- Target version set to 1.7.5

#3 - 07/30/2014 09:23 AM - Daniel Lobato Garcia

- Assignee set to Daniel Lobato Garcia

https://github.com/theforeman/foreman/pull/529 makes use of ldap_fluff which uses the attribute mapping by default.

I'll see if there's some way of pulling like an attributes schema from the LDAP source, if not, making them optional would suffice as ldap_fluff will use

the default for each implementation.

#4 - 08/21/2014 08:36 AM - Anonymous

- Target version changed from 1.7.5 to 1.7.4

#5 - 09/10/2014 07:24 AM - Anonymous

- Target version changed from 1.7.4 to 1.7.3

#6 - 09/16/2014 09:07 AM - Ohad Levy

- Target version deleted (1.7.3)
